Gantry::Plugins::Static(3)

NAME
Gantry::Plugins::Static - Static file method

SYNOPSIS
    <Perl>
        # ...
        use MyApp qw{ -Engine=CGI -TemplateEngine=TT Static };
    </Perl>

    or

    use Gantry::Plugins::Static;

DESCRIPTION
This plugins mixes in a do_static method that serves static files from disk.

This plugin grabs everything after "/static" and walks the applications root directories and delivers the file with the correct mime type.

   root => html:html/templates:../root

   /static/dir1/dir2/somefile.ext

will crawl html, html/templates, and ../root in the order that the appear in the list.

It will also search the directory where you installed the default Gantry templates. Gantry::Init->base_root();

METHODS

do_static
    this method serves a static file from disk.

SEE ALSO
    Gantry
    Gantry::Plugins

AUTHOR
Timotheus Keefer <tkeefer@gmail.com>

COPYRIGHT AND LICENSE
Copyright (C) 2006 Timotheus Keefer

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself, either Perl version 5.8.6 or, at your option, any later version of Perl 5 you may have available.